#!/bin/sh

mem=$[`grep MemTotal /proc/meminfo | sed 's/[^0-9]//g'`*2]
threshold=$[384*1024*2]
test $mem -lt $threshold && mem=$threshold
total=5 # In Gb
root=$[$total*1000000*2-$mem-40000]

cat > /var/cache/alterator/vm-profile.scm << _EOF_
((workstation
  (title . "Setup for workstation")
  (action . trivial)
(actiondata	("swap" (size $mem . $mem) (fsim . "SWAPFS") (methods plain))
		("/" (size $root . $root ) (fsim . "Ext2/3") (methods plain))
		("/home" (size 40000 . #t) (fsim . "Ext2/3") (methods  plain))))
		)
_EOF_
